package com.ruoyi.warehouseBusiness.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 入出库状态对象 t_warehousebills_log
 * 
 * @author ruoyi
 * @date 2021-01-15
 */
public class TWarehousebillsLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long fId;

    /** PID,对应主表id */
    @Excel(name = "PID,对应主表id")
    private Long fPid;

    /** PID,对应明细表id */
    @Excel(name = "PID,对应明细表id")
    private Long fItmeid;

    /** 对应库存明细状态  10 计划入库、20待入库、30卸货中、40 已入库、 60计划出库、70待出库、80装货中、90已出库 */
    @Excel(name = "对应库存明细状态  10 计划入库、20待入库、30卸货中、40 已入库、 60计划出库、70待出库、80装货中、90已出库")
    private Long fItmestatus;

    /** 0正常 、1 删除 */
    @Excel(name = "0正常 、1 删除")
    private Long fBillstatus;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPid(Long fPid) 
    {
        this.fPid = fPid;
    }

    public Long getfPid() 
    {
        return fPid;
    }
    public void setfItmeid(Long fItmeid) 
    {
        this.fItmeid = fItmeid;
    }

    public Long getfItmeid() 
    {
        return fItmeid;
    }
    public void setfItmestatus(Long fItmestatus) 
    {
        this.fItmestatus = fItmestatus;
    }

    public Long getfItmestatus() 
    {
        return fItmestatus;
    }
    public void setfBillstatus(Long fBillstatus)
    {
        this.fBillstatus = fBillstatus;
    }

    public Long getfBillstatus()
    {
        return fBillstatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPid", getfPid())
            .append("fItmeid", getfItmeid())
            .append("fItmestatus", getfItmestatus())
            .append("fBillstatus", getfBillstatus())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
